%define upstream_name    MIME-Base32
%define upstream_version 1.303

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Base32 encoder / decoder
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.900.0
BuildRequires: perl(utf8)
BuildArch:  noarch

%description
Encode data similar way like MIME::Base64 does.

Main purpose is to create encrypted text used as id or key entry
typed-or-submitted by user. It is upper/lowercase safe (not sensitive).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/MIME

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.303.0-5.mga9
+ Revision: 1809584
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.303.0-4.mga8
+ Revision: 1505028
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.303.0-3.mga7
+ Revision: 1284555
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.303.0-2.mga7
+ Revision: 1165504
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 1.303.0-1.mga7
+ Revision: 1158027
- update to 1.303
- update to 1.303

* Sun Jun 19 2016 pterjan <pterjan> 1.301.0-2.mga6
+ Revision: 1029887
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.301.0-1.mga6
+ Revision: 1002119
- New version 1.301

* Fri Feb 05 2016 umeabot <umeabot> 1.20.0a-6.mga6
+ Revision: 936731
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0a-5.mga5
+ Revision: 749255
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0a-4.mga5
+ Revision: 685289
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.20.0a-3.mga4
+ Revision: 512679
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0a-2.mga3
+ Revision: 369305
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.20.0a-1.mga1
+ Revision: 22615
- cleaning spec file
- imported package perl-MIME-Base32


* Sat Aug 28 2010 Jérôme Quelin <jquelin@mandriva.org> 1.20.0a-1mdv2011.0
+ Revision: 573806
- update to 1.02a

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.10.0-1mdv2011.0
+ Revision: 403860
- rebuild using %%perl_convert_version

* Tue Sep 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2009.0
+ Revision: 283306
- import perl-MIME-Base32


* Tue Sep 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2009.0
- initial mdv release, generated with cpan2dist

